#pragma once
#include <WebServer.h>
#include <ESPMegaPRO.h>
class ESPMega_LCDOTA {
    public:
        ESPMega_LCDOTA();
        void update_init();
        void write_data();
        void update_end();
    private:
        char update_endpoint[20];
        void register_ota();
        void send_stop_bit();
        void update_action();
        HardwareSerial lcdserial;
        WebServer otaserver;
}